Qore Programming Language Reference Manual: Old DBI Functions

Qore Programming Language Reference Manual 0.8.11

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Functions
Old DBI Functions

## Functions
*int | Qore::SQL::getDBIDriverCapabilities (string driver)
| Returns an integer representing the capabilities of a DBI driver binary-OR'ed together (see DBI Capability Constants) or NOTHING if the driver is not already loaded. More...
nothing | Qore::SQL::getDBIDriverCapabilities ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
*list | Qore::SQL::getDBIDriverCapabilityList (string driver)
| Returns a list of each capability supported by the given DBI driver (see DBI Capability Constants) or NOTHING if the driver cannot be found. More...
nothing | Qore::SQL::getDBIDriverCapabilityList ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...
*list | Qore::SQL::getDBIDriverList ()
| Returns a list of strings of DBI drivers currently loaded or NOTHING if no drivers are loaded. More...
hash | Qore::SQL::parseDatasource (string ds)
| Returns a datasource hash of the components of a datasource string. More...
nothing | Qore::SQL::parseDatasource ()
| This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments. More...

## Detailed Description

Old DBI functions; see DBI Functions

## Function Documentation

*int Qore::SQL::getDBIDriverCapabilities | ( | string | driver | ) |

Returns an integer representing the capabilities of a DBI driver binary-OR'ed together (see DBI Capability Constants) or NOTHING if the driver is not already loaded.

Code Flags:
  CONSTANT

Parameters

  driver | the name of the driver; if the given driver is not already loaded then this function returns NOTHING

Returns
  an integer representing the capabilities of a DBI driver binary-OR'ed together (see DBI Capability Constants) or NOTHING if the driver is not already loaded

Example:
  my *int $caps = getDBIDriverCapabilities("pgsql");

See Also
  dbi_get_driver_capabilities() for a similar function that uses the standard function naming scheme (ie `"names_like_this()"` instead of `"camelCase()"`), always returns an int, and does not have a NOOP variant

nothing Qore::SQL::getDBIDriverCapabilities | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  NOOP

*list Qore::SQL::getDBIDriverCapabilityList | ( | string | driver | ) |

Returns a list of each capability supported by the given DBI driver (see DBI Capability Constants) or NOTHING if the driver cannot be found.

Code Flags:
  CONSTANT

Parameters

  driver | the name of the driver; if the given driver is not loaded then the function returns NOTHING

Returns
  a list of each capability supported by the given DBI driver (see DBI Capability Constants) or NOTHING if the driver cannot be found

Example:
  my *list $l = getDBIDriverCapabilityList("pgsql");

See Also
  dbi_get_driver_capability_list() for a similar function that uses the standard function naming scheme (ie `"names_like_this()"` instead of `"camelCase()"`) and does not have a NOOP variant

nothing Qore::SQL::getDBIDriverCapabilityList | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  NOOP

*list Qore::SQL::getDBIDriverList | ( |  | ) |

Returns a list of strings of DBI drivers currently loaded or NOTHING if no drivers are loaded.

Returns
  a list of strings of DBI drivers currently loaded or NOTHING if no drivers are loaded

Code Flags:
  CONSTANT

Example:
  my *list $l = getDBIDriverList();

See Also
  dbi_get_driver_list() for a similar function that uses the standard function naming scheme (ie `"names_like_this()"` instead of `"camelCase()"`)

hash Qore::SQL::parseDatasource | ( | string | ds | ) |

Returns a datasource hash of the components of a datasource string.

Code Flags:
  RET_VALUE_ONLY

Parameters

  ds | a string describing the datasource with the following syntax: `[`driver`:][`user`]:[/`pass`]@`db`[(`charset`)][%`host`[:`port`][{`option`=`val`[,...]}]` where all elements except `@`db are optional

Returns
  a datasource hash of the components of a datasource string

Example:
  my hash $h = parseDatasource("pgsql:user/pass@dbname(utf8)%dbhost.internal:1521{min=4,max=10}");

Exceptions

  DATASOURCE-PARSE-ERROR | a syntax error occurred parsing the datasource string (missing field, unexpected character, etc)

See Also
  parse_datasource() for a similar function that uses the standard function naming scheme (ie `"names_like_this()"` instead of `"camelCase()"`) and does not have a NOOP variant

nothing Qore::SQL::parseDatasource | ( |  | ) |

This function variant does nothing at all; it is only included for backwards-compatibility with qore prior to version 0.8.0 for functions that would ignore type errors in arguments.

Code Flags:
  NOOP